@import 'session_cell_tags.scss';

.timetable-view .sessionCell {
  display: inline-block;
  position: absolute;
  box-sizing: border-box;

  //border: 1px solid black;
  padding: 0.15em 0.3em;


  word-wrap: normal;
  overflow-wrap: anywhere;
}
.timetable-view .sessionCell > .holder {
  border: 0.25em solid black;
  border-radius: var(--border-radius);
  background-color: var(--background-color);

  & > .header {
    padding: 0.1em 0.2em;
    background-color: var(--background-secondary-color);
    font-size: 110%;
  }

  & > .containers {
    & > .holder {
      display: flex;
      flex-wrap: wrap;
      gap: 0.2em 0.4em;
      padding: 0.1em 0.2em;
      & > .container {
        font-weight: 600;
        display: inline-block;
        text-decoration: underline;
        text-decoration-thickness: 0.07em;
        margin-bottom: 0.1em;
        line-height: 1.1em;
        color: inherit;
      }
    }

    & > .holder {
      // &:nth-child(1) {
      //   color: inherit;
      // }
      // &:nth-child(2) {
      //   color: #0f164f;
      // }
    }
  }
  & > .tags {
    padding: 0.1em 0.2em;
    line-height: 1.1em;
    & > * {
      font-size: 90%;
    }
  }
}



// Generated with
/*
a = [...temp0.getElementsByTagName('td')].map(x => [x.innerText, x.getAttribute('bgcolor')]);
a.sort();
b = a.map(([t,c]) => `  '${t}' ${c},`);
console.log(b.join('\n'))
*/
$type_colors: [
  'Broadcast Lecture' #D6FFBC,
  'CLL Certificate Language Courses' #E597FF,
  'Chemistry Review Centre' #FFBFBF,
  'Concert' #DCFFDC,
  'Conference' #EE7FEE,
  'Course Workshop' #7FBFDF,
  'Drawing Class' #7F7F7F,
  'EFL' #7FEECA,
  'EU Lecture' #FFFF7F,
  'EU Tutorial' #CDEDD6,
  'Evening University' #FFFF7F,
  'Event to be Confirmed' #FF8A8A,
  'Examination' #7FE1A1,
  'Field Trip' #FFD7B0,
  'Help Desk' #FFBFBF,
  'LRC' #D6D6FF,
  'Lab' #D2F4FF,
  'Lecture & Tutorial' #7F7F7F,
  'Lecture Make-up' #BFBF7F,
  'Lecture Relocated' #DFDF7F,
  'Lecture' #C5C5C5,
  'Meeting' #E4C9FF,
  'Postgraduate' #BFFFBF,
  'Practical (off campus)' #7F7F7F,
  'Practical' #D2F4FF,
  'Presentation' #BF7F9F,
  'Project Work' #7F7F7F,
  'Public Lecture' #FFD3BE,
  'RESERVED' #8992EB,
  'Rehearsal' #7FFF7F,
  'Room Closed' #7F7F7F,
  'Room Maintenance' #FF7FFF,
  'Seminar' #FFFFE4,
  'Special Booking' #FBDDFE,
  'The Chemistry Review Centre' #FFBFFF,
  'Tutorial (make-up/relocated)' #E1F97F,
  'Tutorial' #BADCFF,
  'Venue Not Confirmed (check Department)' #FF7FBF,
  'Video Presentation / Screening' #BFDFDF,
  'Workshop Class' #FFBF7F,
  'Workshop' #7FBFFF,
];


@each $type, $color in $type_colors {
  .timetable-view .sessionCell[type="#{$type}"] > .holder {
    border-color: $color;
  }
}
